import 'package:bird_flutter/bird_flutter.dart';
import 'package:bird/bird.dart';
import 'package:flutter/material.dart';

Widget main() {
  return $$ >> (context) {
    final bloc = $$$(() => MyBloc());
    final description = bloc.description.hook;

    return Text("$description");
  };
}

class MyBloc extends HookBloc {
  final _age = 1.$;
  final _name = "Tom".$;

  Wave<String> description;

  MyBloc() {
    description = _age.and(_name).latest((age, name) => "$name ($age)");
  }

  void incAge() {
    _age.change(plusOne);
  }
}

int plusOne(int i) => i+1;